Subject: Re: bug#16946: 24.3; Rmail behaviour with a username containing "@"

From: Robert Thorpe <[email-masked]>
Date: Mon, 14 Dec 2020 06:08:24 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Robert Thorpe <[email-masked]> writes:
>
>> But, you still have to put in %40 when setting the username, and the
>> Rmail manual doesn't mention that.  Perhaps it should, I can write a
>> patch for that if you want.
>
> Yes, that would be welcome.

I made an edit to rmail.texi from the emacs-27 branch.  I've attached
the output of "diff -u" as instructed in "Sending Patches".

I have not filed copyright assignment paperwork for Emacs.

BR,
Robert Thorpe

--- rmail.texi	2020-12-14 05:27:47.041314124 +0000
+++ nrmail.texi	2020-12-14 05:56:34.468029100 +0000
@@ -1591,6 +1591,8 @@
 Otherwise, Rmail will ask you for the password to use.
 @end enumerate
 
+On some mailservers the usernames include domain information, which can mean they contain the @code{@@} symbol.  The inbox specifier string uses @code{@@} to signal the start of the mailserver name.  This creates confusion for movemail.  If your username contains @code{@@} and you're using Mailutils movemail then you can fix this.  In the username replace @code{@@} with it's URL encoding @code{%40}.
+
 @vindex rmail-movemail-flags
   If you need to pass additional command-line flags to @command{movemail},
 set the variable @code{rmail-movemail-flags} a list of the flags you